Search documentation of polar_express

# PolarExpress.Services.MetricsService (polar_express v0.1.5)

Copy Markdown View Source

Metrics

Metrics API operations.

## Summary

### Functions

get_metrics(client, params \\ %{}, opts \\ [])

Get Metrics

get_metrics_limits(client, params \\ %{}, opts \\ [])

Get Metrics Limits

## Functions

# get_metrics(client, params \\ %{}, opts \\ [])

    @spec get_metrics(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.MetricsResponse.t()}
      | {:error, PolarExpress.Error.t()}

Get Metrics

Get metrics about your orders and subscriptions.

Currency values are output in cents.

Scopes: `metrics:read`

See `PolarExpress.Params.MetricsGetMetricsParams` for parameter details.

# get_metrics_limits(client, params \\ %{}, opts \\ [])

    @spec get_metrics_limits(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.MetricsLimits.t()}
      | {:error, PolarExpress.Error.t()}

Get Metrics Limits

Get the interval limits for the metrics endpoint.

Scopes: `metrics:read`

See `PolarExpress.Params.MetricsGetMetricsLimitsParams` for parameter details.